# TODO: actually run tests (broken after switching to meson)
#
# Conditional build:
%bcond_without	apidocs		# gi-docgen API documentation
%bcond_without	static_libs	# static library
%bcond_without	tests		# tests build

Summary:	Desktop notifications library
Summary(hu.UTF-8):	Desktop értesítő könyvtár
Summary(pl.UTF-8):	Biblioteka powiadomień dla pulpitu
Name:		libnotify
Version:	0.8.3
Release:	1
License:	LGPL v2.1+ (library), GPL v2+ (tools)
Group:		Libraries
Source0:	https://download.gnome.org/sources/libnotify/0.8/%{name}-%{version}.tar.xz
# Source0-md5:	952e55f45067b6a5b9eab4310c9cd658
URL:		http://developer.gnome.org/notification-spec/
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-xsl-ns
BuildRequires:	gdk-pixbuf2-devel >= 2.0
%{?with_apidocs:BuildRequires:	gi-docgen >= 2021.7}
BuildRequires:	glib2-devel >= 1:2.62.0
BuildRequires:	gobject-introspection-devel >= 0.9.12
%{?with_tests:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	libxslt-progs
BuildRequires:	meson >= 0.56.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.029
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xmlto
BuildRequires:	xz
Requires:	glib2 >= 1:2.62.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library that sends desktop notifications to a notification daemon,
as defined in the Desktop Notifications spec. These notifications can
be used to inform the user about an event or display some form of
information without getting in the user's way.

%description -l hu.UTF-8
Könyvtár, amely értesítéseket küld egy üzenetkezelő démonnak, ahogy a
Desktop Notifications szabványnak megfelel. Ezek az értesítések
tájékoztathatják a felhasználót eseményről vagy információt jeleníthet
meg.

%description -l pl.UTF-8
Biblioteka wysyłająca powiadomienia dla pulpitu do demona powiadomień
zgodnie ze specyfikacją Desktop Notifications. Powiadomienia te mogą
być używane do informowania użytkownika o zdarzeniu lub wyświetlania
jakiejś formy informacji bez wchodzenia użytkownikowi w drogę.

%package devel
Summary:	libnotify header files
Summary(hu.UTF-8):	libnotify fejléc fájlok
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnotify
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gdk-pixbuf2-devel >= 2.0
Requires:	glib2-devel >= 1:2.62.0

%description devel
Header files for libnotify-based programs development.

%description devel -l hu.UTF-8
Fejléc fájlok libnotify-t használó programok fejlesztéséhez.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów opartych o libnotify.

%package static
Summary:	Static libnotify library
Summary(hu.UTF-8):	Libnotify statikus könyvtár
Summary(pl.UTF-8):	Statyczna biblioteka libnotify
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnotify library.

%description static -l hu.UTF-8
Libnotify statikus könyvtár.

%description static -l pl.UTF-8
Statyczna biblioteka libnotify.

%package apidocs
Summary:	libnotify API documentation
Summary(hu.UTF-8):	libnotify API dokumentáció
Summary(pl.UTF-8):	Dokumentacja API biblioteki libnotify
Group:		Documentation
BuildArch:	noarch

%description apidocs
libnotify API documentation.

%description apidocs -l hu.UTF-8
libnotify API dokumentáció.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libnotify.

%prep
%setup -q

%if %{with static_libs}
%{__sed} -i -e '/libnotify_lib/ s/shared_library/library/' libnotify/meson.build
%endif

%build
%meson build \
	%{!?with_apidocs:-Dgtk_doc=false} \
	%{!?with_tests:-Dtests=false}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libnotify/spec

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_gidocdir}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/libnotify-0 $RPM_BUILD_ROOT%{_gidocdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS build/docs/notification-spec.html
%attr(755,root,root) %{_bindir}/notify-send
%attr(755,root,root) %{_libdir}/libnotify.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnotify.so.4
%{_libdir}/girepository-1.0/Notify-0.7.typelib
%{_mandir}/man1/notify-send.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnotify.so
%{_pkgconfigdir}/libnotify.pc
%{_includedir}/libnotify
%{_datadir}/gir-1.0/Notify-0.7.gir

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libnotify.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gidocdir}/libnotify-0
%endif
%changelog
* Fri Oct 13 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnotify.git;a=log;h=master

* Fri Oct 13 2023 Jakub Bogusz <qboosh@pld-linux.org> 35a9c3e
- updated to 0.8.3 (critical stability/minor security update affecting some Electron applications)

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 3131912
- post gtk-doc cleanup

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 19ae8c4
- use _gidocdir for apidocs

* Fri Jun 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 26f4e59
- updated to 0.8.2

* Sun May 21 2023 Jan Palus <atler@pld-linux.org> c8d6b3d
- BR: docbook-style-xsl-ns libxslt-progs for man pages

* Mon Jul 25 2022 Jakub Bogusz <qboosh@pld-linux.org> 37054db
- updated to 0.8.1 (bindings version back to 0.7)

* Thu Jul 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 7e85c65
- updated to 0.8.0

* Thu May 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 856c37e
- updated to 0.7.12

* Thu Apr 28 2022 Jakub Bogusz <qboosh@pld-linux.org> 9e7b386
- updated to 0.7.11

* Wed Apr 27 2022 Jakub Bogusz <qboosh@pld-linux.org> e2d4e51
- updated to 0.7.10

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> d526e15
- unconditional noarch subpackages

* Sat Feb 29 2020 Jan Palus <atler@pld-linux.org> 243a4aa
- up to 0.7.9

* Sat Apr 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 82efc8a
- updated to 0.7.8
- switched to meson (only some part of autotools files are left, so only meson is working now - but no tests running supported)

* Thu Oct 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 888f2af
- BR: xmlto

* Sun Oct 16 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 7cd795d
- Update to 0.7.7

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> c07c18d
- noarch apidocs

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> eff4015
- x32 rebuild
- release 2 (by relup.sh)

* Tue Sep 03 2013 Jakub Bogusz <qboosh@pld-linux.org> b86558a
- updated to 0.7.6

* Mon Feb 18 2013 Elan Ruusamäe <glen@delfi.ee> f83ecd8
- the target is 'check', altho it doesn't run any of the tests

* Mon Feb 18 2013 Elan Ruusamäe <glen@delfi.ee> 9bb65d9
- allow building without tests, gtk is tests dependency

